(define-macro (when test . forms)
  `(if ,test (begin ,@forms)))

(define-macro (unless test . forms)
  `(if (not ,test) (begin ,@forms)))

(define (values&forms-1 form)
  `(cons ,form ',form))

(define-macro (values&forms . forms)
  `(list ,@(map values&forms-1 forms)))

(define (qw-1 form)
  (cond
   ((string? form) `'(,form))
   ((symbol? form) `'(,(symbol->string form)))
   (else
    `(let ((x ,form))
       (if (list? x)
         x
         (list x))))))

(define-macro (qw . forms)
  `(append . ,(map qw-1 forms)))
